Bug 150106 - open_sock(socket 2) failed: Bad file descriptor
open_sock(socket 2) failed: Bad file descriptor
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks: 137160
  Show dependency treegraph
 
Reported: 2005-03-02 10:36 EST by Rob Williams
Modified: 2015-01-04 17:17 EST (History)
3 users (show)

See Also:
Fixed In Version: RHBA-2005-144
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-09 08:43:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rob Williams 2005-03-02 10:36:58 EST
Description of problem:

I am having the exact same problem as described in this bug report for
fc2. 

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=135508

Although I am running version 4 of enterprise linux (fresh install)

Version-Release number of selected component (if applicable):
rpm -qa | grep pcmcia
pcmcia-cs-3.2.7-1.14

rpm -qa | grep kernel
kernel-devel-2.6.9-5.EL
kernel-devel-2.6.9-5.0.3.EL
kernel-hugemem-devel-2.6.9-5.0.3.EL
kernel-utils-2.4-13.1.48
kernel-smp-devel-2.6.9-5.0.3.EL
kernel-2.6.9-5.EL
kernel-2.6.9-5.0.3.EL


After the first reboot the bootup would hang on starting pcmcia. So I
turned off pcmcia services during bootup. Then when I start it
manually after X is up, I get the following output:

Starting PCMCIA services: cardmgr[2988]: open_sock(socket 2) failed:
Bad file descriptor
cardmgr[2988]: watching 2 sockets
cardmgr[2988]: could not adjust resource: IO ports 0xc00-0xcff: Device
or resource busy
cardmgr[2988]: could not adjust resource: IO ports 0x100-0x4ff: Device
or resource busy
cardmgr[2988]: could not adjust resource: memory 0xc0000-0xfffff:
Input/output error
cardmgr[2988]: could not adjust resource: memory
0x60000000-0x60ffffff: Input/output error
cardmgr[2988]: could not adjust resource: memory
0xa0000000-0xa0ffffff: Input/output error
cardmgr[2988]: could not adjust resource: IO ports 0xa00-0xaff: Device
or resource busy
done.


Then the internet works fine. I am doing this on a Dell Inspiron 8000.
Comment 1 Bill Nottingham 2005-03-02 15:20:34 EST
Known bug; it's currently looking to be fixed in Update 1.
Comment 2 Jay Turner 2005-04-14 08:48:38 EDT
Fix confirmed with pcmcia-cs-pcmcia-3.2.7-3.2
.
Comment 3 Tim Powers 2005-06-09 08:43:11 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-144.html

Note You need to log in before you can comment on or make changes to this bug.